Package org.apache.activemq.artemis.selector.filter

## Class UnaryExpression

- java.lang.Object
- - org.apache.activemq.artemis.selector.filter.UnaryExpression

- All Implemented Interfaces:
    `Expression`

      public abstract class UnaryExpression
      extends java.lang.Object
      implements Expression

  An expression which performs an operation on two expression values
  Version:
    $Revision: 1.3 $

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Expression` | `right` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnaryExpression​(Expression left)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static BooleanExpression` | `createBooleanCast​(Expression left)` |
    `static BooleanExpression` | `createInExpression​(PropertyExpression right, java.util.List<java.lang.Object> elements, boolean not)` |
    `static Expression` | `createNegate​(Expression left)` |
    `static BooleanExpression` | `createNOT​(BooleanExpression left)` |
    `static BooleanExpression` | `createXPath​(java.lang.String xpath)` |
    `static BooleanExpression` | `createXQuery​(java.lang.String xpath)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `abstract java.lang.String` | `getExpressionSymbol()` | Returns the symbol that represents this binary expression.
    `Expression` | `getRight()` |
    `int` | `hashCode()` |
    `void` | `setRight​(Expression expression)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.activemq.artemis.selector.filter.Expression

      `evaluate`

- - ### Field Detail

    - #### right

          protected Expression right

  - ### Constructor Detail

    - #### UnaryExpression

          public UnaryExpression​(Expression left)

  - ### Method Detail

    - #### createNegate

          public static Expression createNegate​(Expression left)

    - #### createInExpression

          public static BooleanExpression createInExpression​(PropertyExpression right,
                                                             java.util.List<java.lang.Object> elements,
                                                             boolean not)

    - #### createNOT

          public static BooleanExpression createNOT​(BooleanExpression left)

    - #### createXPath

          public static BooleanExpression createXPath​(java.lang.String xpath)

    - #### createXQuery

          public static BooleanExpression createXQuery​(java.lang.String xpath)

    - #### createBooleanCast

          public static BooleanExpression createBooleanCast​(Expression left)

    - #### getRight

          public Expression getRight()

    - #### setRight

          public void setRight​(Expression expression)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### getExpressionSymbol

          public abstract java.lang.String getExpressionSymbol()

      Returns the symbol that represents this binary expression. For example, addition is represented by "+"
      Returns: